{ config, pkgs, unstablePkgs, ... }:

{
  imports = [
    ./unstable-packages.nix
  ];
  users.users.wroclaw = {
    isNormalUser = true;
    description = "Rafał";
    group = "wroclaw";
    extraGroups = [
      "users"
      "wheel"
      (if config.programs.adb.enable then "adbusers" else null)
    ];
    linger = true;
    initialPassword = "nixos";
    packages = with pkgs; [
      firefox
      vivaldi
      discord-canary
      unstablePkgs.vscode
      gimp
      inkscape
      krita
    ];
  };
  users.groups.wroclaw.gid = 1000;

  programs.steam = {
    enable = true;
    remotePlay.openFirewall = true;
  };

  services.syncthing = {
    enable = true;
    user = "wroclaw";
    group = "wroclaw";
    dataDir = "/home/wroclaw";
    configDir = "/home/wroclaw/.config/syncthing";
  };
}